SDL_VideoData Struct Reference

`#include <SDL_androidvideo.h>`

Collaboration diagram for SDL_VideoData:
[legend]

## Public Member Functions

| EGLNativeDisplayType (EGLAPIENTRY *fbGetDisplay)(void *context)
| EGLNativeDisplayType (EGLAPIENTRY *fbGetDisplayByIndex)(int DisplayIndex)
| void (EGLAPIENTRY *fbGetDisplayGeometry)(EGLNativeDisplayType Display
| void (EGLAPIENTRY *fbGetDisplayInfo)(EGLNativeDisplayType Display
| void (EGLAPIENTRY *fbDestroyDisplay)(EGLNativeDisplayType Display)
| EGLNativeWindowType (EGLAPIENTRY *fbCreateWindow)(EGLNativeDisplayType Display
| void (EGLAPIENTRY *fbGetWindowGeometry)(EGLNativeWindowType Window
| void (EGLAPIENTRY *fbGetWindowInfo)(EGLNativeWindowType Window
| void (EGLAPIENTRY *fbDestroyWindow)(EGLNativeWindowType Window)
| BOOL (WINAPI *CloseTouchInputHandle)(HTOUCHINPUT)
| BOOL (WINAPI *GetTouchInputInfo)(HTOUCHINPUT
| BOOL (WINAPI *RegisterTouchWindow)(HWND
| HRESULT (WINAPI *GetDpiForMonitor)(HMONITOR hmonitor
| UINT (WINAPI *GetReadingString)(HIMC himc
| BOOL (WINAPI *ShowReadingWindow)(HIMC himc
| LPINPUTCONTEXT2 (WINAPI *ImmLockIMC)(HIMC himc)
| BOOL (WINAPI *ImmUnlockIMC)(HIMC himc)
| LPVOID (WINAPI *ImmLockIMCC)(HIMCC himcc)
| BOOL (WINAPI *ImmUnlockIMCC)(HIMCC himcc)

## Data Fields

SDL_Rect | textRect
int | allow_spaces
unsigned int | modifierFlags
void * | key_layout
SDLTranslatorResponder * | fieldEdit
NSInteger | clipboard_count
Uint32 | screensaver_activity
BOOL | screensaver_use_iopm
IOPMAssertionID | screensaver_assertion
int | devindex
int | drm_fd
struct gbm_device * | gbm
drmEventContext | drm_evctx
struct pollfd | drm_pollfd
drmModeCrtc * | saved_crtc
uint32_t | saved_conn_id
uint32_t | crtc_id
Uint32 | format
int | w
int | h
SDL_Window * | window
const PPB_Graphics3D * | ppb_graphics
const PPB_MessageLoop * | ppb_message_loop
const PPB_Core * | ppb_core
const PPB_Fullscreen * | ppb_fullscreen
const PPB_Instance * | ppb_instance
const PPB_ImageData * | ppb_image_data
const PPB_View * | ppb_view
const PPB_Var * | ppb_var
const PPB_InputEvent * | ppb_input_event
const PPB_KeyboardInputEvent * | ppb_keyboard_input_event
const PPB_MouseInputEvent * | ppb_mouse_input_event
const PPB_WheelInputEvent * | ppb_wheel_input_event
const PPB_TouchInputEvent * | ppb_touch_input_event
PP_Resource | message_loop
PP_Instance | instance
SDL_bool | egl_initialized
EGLDisplay | egl_display
uint32_t | egl_refcount
uint32_t | swapinterval
void * | egl_handle
int * | Width
int int * | Height
int int unsigned long * | Physical
int int unsigned long int * | Stride
int int unsigned long int int * | BitsPerPixel
int | X
int int | Y
int int int | Width
int int int int | Height
int * | X
int int * | Y
int int int * | Width
int int int int * | Height
int int int int int * | BitsPerPixel
int int int int int unsigned int * | Offset
struct wl_display * | display
struct wl_registry * | registry
struct wl_compositor * | compositor
struct wl_shm * | shm
struct wl_cursor_theme * | cursor_theme
struct wl_pointer * | pointer
struct {
struct zxdg_shell_v6 * zxdg
struct wl_shell * wl
} | shell
struct zwp_relative_pointer_manager_v1 * | relative_pointer_manager
struct zwp_pointer_constraints_v1 * | pointer_constraints
struct wl_data_device_manager * | data_device_manager
EGLDisplay | edpy
EGLContext | context
EGLConfig | econf
struct xkb_context * | xkb_context
struct SDL_WaylandInput * | input
char * | classname
int | relative_mouse_mode
int | render
DWORD | clipboard_count
void * | userDLL
| UINT
| PTOUCHINPUT
| int
| ULONG
void * | shcoreDLL
MONITOR_DPI_TYPE | dpiType
MONITOR_DPI_TYPE UINT * | dpiX
MONITOR_DPI_TYPE UINT UINT * | dpiY
SDL_bool | ime_com_initialized
struct ITfThreadMgr * | ime_threadmgr
SDL_bool | ime_initialized
SDL_bool | ime_enabled
SDL_bool | ime_available
HWND | ime_hwnd_main
HWND | ime_hwnd_current
HIMC | ime_himc
WCHAR | ime_composition [SDL_TEXTEDITINGEVENT_TEXT_SIZE]
WCHAR | ime_readingstring [16]
int | ime_cursor
SDL_bool | ime_candlist
WCHAR | ime_candidates [MAX_CANDLIST][MAX_CANDLENGTH]
DWORD | ime_candcount
DWORD | ime_candref
DWORD | ime_candsel
UINT | ime_candpgsize
int | ime_candlistindexbase
SDL_bool | ime_candvertical
SDL_bool | ime_dirty
SDL_Rect | ime_rect
SDL_Rect | ime_candlistrect
int | ime_winwidth
int | ime_winheight
HKL | ime_hkl
void * | ime_himm32
UINT | uReadingBufLen
UINT LPWSTR | lpwReadingBuf
UINT LPWSTR PINT | pnErrorIndex
UINT LPWSTR PINT BOOL * | pfIsVertical
UINT LPWSTR PINT BOOL PUINT | puMaxReadingLen
BOOL | bShow
SDL_bool | ime_uiless
struct ITfThreadMgrEx * | ime_threadmgrex
DWORD | ime_uielemsinkcookie
DWORD | ime_alpnsinkcookie
DWORD | ime_openmodesinkcookie
DWORD | ime_convmodesinkcookie
TSFSink * | ime_uielemsink
TSFSink * | ime_ippasink
IUnknown * | winrtEglWindow
Windows::Foundation::EventRegistrationToken | gameBarIsInputRedirectedToken
IUnknown * | displayRequest
Display * | display
pid_t | pid
XIM | im
int | numwindows
SDL_WindowData ** | windowlist
int | windowlistlength
XID | window_group
Window | clipboard_window
SDL_bool | net_wm
Atom | WM_PROTOCOLS
Atom | WM_DELETE_WINDOW
Atom | WM_TAKE_FOCUS
Atom | _NET_WM_STATE
Atom | _NET_WM_STATE_HIDDEN
Atom | _NET_WM_STATE_FOCUSED
Atom | _NET_WM_STATE_MAXIMIZED_VERT
Atom | _NET_WM_STATE_MAXIMIZED_HORZ
Atom | _NET_WM_STATE_FULLSCREEN
Atom | _NET_WM_STATE_ABOVE
Atom | _NET_WM_STATE_SKIP_TASKBAR
Atom | _NET_WM_STATE_SKIP_PAGER
Atom | _NET_WM_ALLOWED_ACTIONS
Atom | _NET_WM_ACTION_FULLSCREEN
Atom | _NET_WM_NAME
Atom | _NET_WM_ICON_NAME
Atom | _NET_WM_ICON
Atom | _NET_WM_PING
Atom | _NET_WM_WINDOW_OPACITY
Atom | _NET_WM_USER_TIME
Atom | _NET_ACTIVE_WINDOW
Atom | _NET_FRAME_EXTENTS
Atom | UTF8_STRING
Atom | PRIMARY
Atom | XdndEnter
Atom | XdndPosition
Atom | XdndStatus
Atom | XdndTypeList
Atom | XdndActionCopy
Atom | XdndDrop
Atom | XdndFinished
Atom | XdndSelection
Atom | XKLAVIER_STATE
SDL_Scancode | key_layout [256]
SDL_bool | selection_waiting
SDL_bool | broken_pointer_grab
Uint32 | last_mode_change_deadline
SDL_bool | global_mouse_changed
SDL_Point | global_mouse_position
Uint32 | global_mouse_buttons
KeyCode | filter_code
Time | filter_time

## Detailed Description

Definition at line 35 of file SDL_androidvideo.h.

## Member Function Documentation

## BOOL() [1/6]

SDL_VideoData::BOOL | ( | WINAPI * | CloseTouchInputHandle | ) |

## BOOL() [2/6]

SDL_VideoData::BOOL | ( | WINAPI * | GetTouchInputInfo | ) |

## BOOL() [3/6]

SDL_VideoData::BOOL | ( | WINAPI * | RegisterTouchWindow | ) |

## BOOL() [4/6]

SDL_VideoData::BOOL | ( | WINAPI * | ShowReadingWindow | ) |

## BOOL() [5/6]

SDL_VideoData::BOOL | ( | WINAPI * | ImmUnlockIMC | ) |

## BOOL() [6/6]

SDL_VideoData::BOOL | ( | WINAPI * | ImmUnlockIMCC | ) |

## EGLNativeDisplayType() [1/2]

SDL_VideoData::EGLNativeDisplayType | ( | EGLAPIENTRY * | fbGetDisplay | ) |

## EGLNativeDisplayType() [2/2]

SDL_VideoData::EGLNativeDisplayType | ( | EGLAPIENTRY * | fbGetDisplayByIndex | ) |

## EGLNativeWindowType()

SDL_VideoData::EGLNativeWindowType | ( | EGLAPIENTRY * | fbCreateWindow | ) |

## HRESULT()

SDL_VideoData::HRESULT | ( | WINAPI * | GetDpiForMonitor | ) |

## LPINPUTCONTEXT2()

SDL_VideoData::LPINPUTCONTEXT2 | ( | WINAPI * | ImmLockIMC | ) |

## LPVOID()

SDL_VideoData::LPVOID | ( | WINAPI * | ImmLockIMCC | ) |

## UINT()

SDL_VideoData::UINT | ( | WINAPI * | GetReadingString | ) |

## void() [1/6]

SDL_VideoData::void | ( | EGLAPIENTRY * | fbGetDisplayGeometry | ) |

## void() [2/6]

SDL_VideoData::void | ( | EGLAPIENTRY * | fbGetDisplayInfo | ) |

## void() [3/6]

SDL_VideoData::void | ( | EGLAPIENTRY * | fbDestroyDisplay | ) |

## void() [4/6]

SDL_VideoData::void | ( | EGLAPIENTRY * | fbGetWindowGeometry | ) |

## void() [5/6]

SDL_VideoData::void | ( | EGLAPIENTRY * | fbGetWindowInfo | ) |

## void() [6/6]

SDL_VideoData::void | ( | EGLAPIENTRY * | fbDestroyWindow | ) |

## Field Documentation

## _NET_ACTIVE_WINDOW

Atom SDL_VideoData::_NET_ACTIVE_WINDOW

Definition at line 112 of file SDL_x11video.h.

## _NET_FRAME_EXTENTS

Atom SDL_VideoData::_NET_FRAME_EXTENTS

Definition at line 113 of file SDL_x11video.h.

## _NET_WM_ACTION_FULLSCREEN

Atom SDL_VideoData::_NET_WM_ACTION_FULLSCREEN

Definition at line 105 of file SDL_x11video.h.

## _NET_WM_ALLOWED_ACTIONS

Atom SDL_VideoData::_NET_WM_ALLOWED_ACTIONS

Definition at line 104 of file SDL_x11video.h.

## _NET_WM_ICON

Atom SDL_VideoData::_NET_WM_ICON

Definition at line 108 of file SDL_x11video.h.

## _NET_WM_ICON_NAME

Atom SDL_VideoData::_NET_WM_ICON_NAME

Definition at line 107 of file SDL_x11video.h.

## _NET_WM_NAME

Atom SDL_VideoData::_NET_WM_NAME

Definition at line 106 of file SDL_x11video.h.

## _NET_WM_PING

Atom SDL_VideoData::_NET_WM_PING

Definition at line 109 of file SDL_x11video.h.

## _NET_WM_STATE

Atom SDL_VideoData::_NET_WM_STATE

Definition at line 95 of file SDL_x11video.h.

## _NET_WM_STATE_ABOVE

Atom SDL_VideoData::_NET_WM_STATE_ABOVE

Definition at line 101 of file SDL_x11video.h.

## _NET_WM_STATE_FOCUSED

Atom SDL_VideoData::_NET_WM_STATE_FOCUSED

Definition at line 97 of file SDL_x11video.h.

## _NET_WM_STATE_FULLSCREEN

Atom SDL_VideoData::_NET_WM_STATE_FULLSCREEN

Definition at line 100 of file SDL_x11video.h.

## _NET_WM_STATE_HIDDEN

Atom SDL_VideoData::_NET_WM_STATE_HIDDEN

Definition at line 96 of file SDL_x11video.h.

## _NET_WM_STATE_MAXIMIZED_HORZ

Atom SDL_VideoData::_NET_WM_STATE_MAXIMIZED_HORZ

Definition at line 99 of file SDL_x11video.h.

## _NET_WM_STATE_MAXIMIZED_VERT

Atom SDL_VideoData::_NET_WM_STATE_MAXIMIZED_VERT

Definition at line 98 of file SDL_x11video.h.

## _NET_WM_STATE_SKIP_PAGER

Atom SDL_VideoData::_NET_WM_STATE_SKIP_PAGER

Definition at line 103 of file SDL_x11video.h.

## _NET_WM_STATE_SKIP_TASKBAR

Atom SDL_VideoData::_NET_WM_STATE_SKIP_TASKBAR

Definition at line 102 of file SDL_x11video.h.

## _NET_WM_USER_TIME

Atom SDL_VideoData::_NET_WM_USER_TIME

Definition at line 111 of file SDL_x11video.h.

## _NET_WM_WINDOW_OPACITY

Atom SDL_VideoData::_NET_WM_WINDOW_OPACITY

Definition at line 110 of file SDL_x11video.h.

## allow_spaces

int SDL_VideoData::allow_spaces

Definition at line 102 of file SDL_cocoavideo.h.

## BitsPerPixel [1/2]

int int unsigned long int int* SDL_VideoData::BitsPerPixel

Definition at line 45 of file SDL_vivantevideo.h.

## BitsPerPixel [2/2]

int int int int int* SDL_VideoData::BitsPerPixel

Definition at line 49 of file SDL_vivantevideo.h.

## broken_pointer_grab

SDL_bool SDL_VideoData::broken_pointer_grab

Definition at line 129 of file SDL_x11video.h.

## bShow

BOOL SDL_VideoData::bShow

Definition at line 175 of file SDL_windowsvideo.h.

## classname

char * SDL_VideoData::classname

Definition at line 68 of file SDL_waylandvideo.h.

## clipboard_count [1/2]

NSInteger SDL_VideoData::clipboard_count

Definition at line 106 of file SDL_cocoavideo.h.

## clipboard_count [2/2]

DWORD SDL_VideoData::clipboard_count

Definition at line 130 of file SDL_windowsvideo.h.

## clipboard_window

Window SDL_VideoData::clipboard_window

Definition at line 86 of file SDL_x11video.h.

## compositor

struct wl_compositor* SDL_VideoData::compositor

Definition at line 42 of file SDL_waylandvideo.h.

## context

EGLContext SDL_VideoData::context

Definition at line 56 of file SDL_waylandvideo.h.

## crtc_id

uint32_t SDL_VideoData::crtc_id

Definition at line 48 of file SDL_kmsdrmvideo.h.

## cursor_theme

struct wl_cursor_theme* SDL_VideoData::cursor_theme

Definition at line 44 of file SDL_waylandvideo.h.

## data_device_manager

struct wl_data_device_manager* SDL_VideoData::data_device_manager

Definition at line 53 of file SDL_waylandvideo.h.

## devindex

int SDL_VideoData::devindex

Definition at line 41 of file SDL_kmsdrmvideo.h.

## display [1/2]

struct wl_display* SDL_VideoData::display

Definition at line 40 of file SDL_waylandvideo.h.

## display [2/2]

Display* SDL_VideoData::display

Definition at line 77 of file SDL_x11video.h.

## displayRequest

IUnknown* SDL_VideoData::displayRequest

Definition at line 59 of file SDL_winrtvideo_cpp.h.

## dpiType

MONITOR_DPI_TYPE SDL_VideoData::dpiType

Definition at line 140 of file SDL_windowsvideo.h.

## dpiX

MONITOR_DPI_TYPE UINT* SDL_VideoData::dpiX

Definition at line 140 of file SDL_windowsvideo.h.

## dpiY

MONITOR_DPI_TYPE UINT UINT* SDL_VideoData::dpiY

Definition at line 140 of file SDL_windowsvideo.h.

## drm_evctx

drmEventContext SDL_VideoData::drm_evctx

Definition at line 44 of file SDL_kmsdrmvideo.h.

## drm_fd

int SDL_VideoData::drm_fd

Definition at line 42 of file SDL_kmsdrmvideo.h.

## drm_pollfd

struct pollfd SDL_VideoData::drm_pollfd

Definition at line 45 of file SDL_kmsdrmvideo.h.

## econf

EGLConfig SDL_VideoData::econf

Definition at line 57 of file SDL_waylandvideo.h.

## edpy

EGLDisplay SDL_VideoData::edpy

Definition at line 55 of file SDL_waylandvideo.h.

## egl_display

EGLDisplay SDL_VideoData::egl_display

Definition at line 33 of file SDL_pandora.h.

## egl_handle

void* SDL_VideoData::egl_handle

Definition at line 41 of file SDL_vivantevideo.h.

## egl_initialized

SDL_bool SDL_VideoData::egl_initialized

Definition at line 32 of file SDL_pandora.h.

## egl_refcount

uint32_t SDL_VideoData::egl_refcount

Definition at line 34 of file SDL_pandora.h.

## fieldEdit

SDLTranslatorResponder* SDL_VideoData::fieldEdit

Definition at line 105 of file SDL_cocoavideo.h.

## filter_code

KeyCode SDL_VideoData::filter_code

Definition at line 141 of file SDL_x11video.h.

## filter_time

Time SDL_VideoData::filter_time

Definition at line 142 of file SDL_x11video.h.

## format

Uint32 SDL_VideoData::format

Definition at line 38 of file SDL_naclvideo.h.

## gameBarIsInputRedirectedToken

Windows::Foundation::EventRegistrationToken SDL_VideoData::gameBarIsInputRedirectedToken

Definition at line 53 of file SDL_winrtvideo_cpp.h.

## gbm

struct gbm_device* SDL_VideoData::gbm

Definition at line 43 of file SDL_kmsdrmvideo.h.

## global_mouse_buttons

Uint32 SDL_VideoData::global_mouse_buttons

Definition at line 135 of file SDL_x11video.h.

## global_mouse_changed

SDL_bool SDL_VideoData::global_mouse_changed

Definition at line 133 of file SDL_x11video.h.

## global_mouse_position

SDL_Point SDL_VideoData::global_mouse_position

Definition at line 134 of file SDL_x11video.h.

## h

int SDL_VideoData::h

Definition at line 39 of file SDL_naclvideo.h.

## Height [1/3]

int int int int * SDL_VideoData::Height

Definition at line 44 of file SDL_vivantevideo.h.

## Height [2/3]

int int int int SDL_VideoData::Height

Definition at line 47 of file SDL_vivantevideo.h.

## Height [3/3]

int int int int* SDL_VideoData::Height

Definition at line 48 of file SDL_vivantevideo.h.

## im

XIM SDL_VideoData::im

Definition at line 80 of file SDL_x11video.h.

## ime_alpnsinkcookie

DWORD SDL_VideoData::ime_alpnsinkcookie

Definition at line 184 of file SDL_windowsvideo.h.

## ime_available

SDL_bool SDL_VideoData::ime_available

Definition at line 148 of file SDL_windowsvideo.h.

## ime_candcount

DWORD SDL_VideoData::ime_candcount

Definition at line 159 of file SDL_windowsvideo.h.

## ime_candidates

WCHAR SDL_VideoData::ime_candidates[MAX_CANDLIST][MAX_CANDLENGTH]

Definition at line 158 of file SDL_windowsvideo.h.

## ime_candlist

SDL_bool SDL_VideoData::ime_candlist

Definition at line 157 of file SDL_windowsvideo.h.

## ime_candlistindexbase

int SDL_VideoData::ime_candlistindexbase

Definition at line 163 of file SDL_windowsvideo.h.

## ime_candlistrect

SDL_Rect SDL_VideoData::ime_candlistrect

Definition at line 168 of file SDL_windowsvideo.h.

## ime_candpgsize

UINT SDL_VideoData::ime_candpgsize

Definition at line 162 of file SDL_windowsvideo.h.

## ime_candref

DWORD SDL_VideoData::ime_candref

Definition at line 160 of file SDL_windowsvideo.h.

## ime_candsel

DWORD SDL_VideoData::ime_candsel

Definition at line 161 of file SDL_windowsvideo.h.

## ime_candvertical

SDL_bool SDL_VideoData::ime_candvertical

Definition at line 164 of file SDL_windowsvideo.h.

## ime_com_initialized

SDL_bool SDL_VideoData::ime_com_initialized

Definition at line 144 of file SDL_windowsvideo.h.

## ime_composition

WCHAR SDL_VideoData::ime_composition[SDL_TEXTEDITINGEVENT_TEXT_SIZE]

Definition at line 153 of file SDL_windowsvideo.h.

## ime_convmodesinkcookie

DWORD SDL_VideoData::ime_convmodesinkcookie

Definition at line 186 of file SDL_windowsvideo.h.

## ime_cursor

int SDL_VideoData::ime_cursor

Definition at line 155 of file SDL_windowsvideo.h.

## ime_dirty

SDL_bool SDL_VideoData::ime_dirty

Definition at line 166 of file SDL_windowsvideo.h.

## ime_enabled

SDL_bool SDL_VideoData::ime_enabled

Definition at line 147 of file SDL_windowsvideo.h.

## ime_himc

HIMC SDL_VideoData::ime_himc

Definition at line 151 of file SDL_windowsvideo.h.

## ime_himm32

void* SDL_VideoData::ime_himm32

Definition at line 173 of file SDL_windowsvideo.h.

## ime_hkl

HKL SDL_VideoData::ime_hkl

Definition at line 172 of file SDL_windowsvideo.h.

## ime_hwnd_current

HWND SDL_VideoData::ime_hwnd_current

Definition at line 150 of file SDL_windowsvideo.h.

## ime_hwnd_main

HWND SDL_VideoData::ime_hwnd_main

Definition at line 149 of file SDL_windowsvideo.h.

## ime_initialized

SDL_bool SDL_VideoData::ime_initialized

Definition at line 146 of file SDL_windowsvideo.h.

## ime_ippasink

TSFSink* SDL_VideoData::ime_ippasink

Definition at line 188 of file SDL_windowsvideo.h.

## ime_openmodesinkcookie

DWORD SDL_VideoData::ime_openmodesinkcookie

Definition at line 185 of file SDL_windowsvideo.h.

## ime_readingstring

WCHAR SDL_VideoData::ime_readingstring[16]

Definition at line 154 of file SDL_windowsvideo.h.

## ime_rect

SDL_Rect SDL_VideoData::ime_rect

Definition at line 167 of file SDL_windowsvideo.h.

## ime_threadmgr

struct ITfThreadMgr* SDL_VideoData::ime_threadmgr

Definition at line 145 of file SDL_windowsvideo.h.

## ime_threadmgrex

struct ITfThreadMgrEx* SDL_VideoData::ime_threadmgrex

Definition at line 182 of file SDL_windowsvideo.h.

## ime_uielemsink

TSFSink* SDL_VideoData::ime_uielemsink

Definition at line 187 of file SDL_windowsvideo.h.

## ime_uielemsinkcookie

DWORD SDL_VideoData::ime_uielemsinkcookie

Definition at line 183 of file SDL_windowsvideo.h.

## ime_uiless

SDL_bool SDL_VideoData::ime_uiless

Definition at line 181 of file SDL_windowsvideo.h.

## ime_winheight

int SDL_VideoData::ime_winheight

Definition at line 170 of file SDL_windowsvideo.h.

## ime_winwidth

int SDL_VideoData::ime_winwidth

Definition at line 169 of file SDL_windowsvideo.h.

## input

struct SDL_WaylandInput* SDL_VideoData::input

Definition at line 60 of file SDL_waylandvideo.h.

## instance

PP_Instance SDL_VideoData::instance

Definition at line 57 of file SDL_naclvideo.h.

## int

SDL_VideoData::int

Definition at line 135 of file SDL_windowsvideo.h.

## key_layout [1/2]

void* SDL_VideoData::key_layout

Definition at line 104 of file SDL_cocoavideo.h.

## key_layout [2/2]

SDL_Scancode SDL_VideoData::key_layout[256]

Definition at line 126 of file SDL_x11video.h.

## last_mode_change_deadline

Uint32 SDL_VideoData::last_mode_change_deadline

Definition at line 131 of file SDL_x11video.h.

## lpwReadingBuf

UINT LPWSTR SDL_VideoData::lpwReadingBuf

Definition at line 174 of file SDL_windowsvideo.h.

## message_loop

PP_Resource SDL_VideoData::message_loop

Definition at line 56 of file SDL_naclvideo.h.

## modifierFlags

unsigned int SDL_VideoData::modifierFlags

Definition at line 103 of file SDL_cocoavideo.h.

## net_wm

SDL_bool SDL_VideoData::net_wm

Definition at line 89 of file SDL_x11video.h.

## numwindows

int SDL_VideoData::numwindows

Definition at line 82 of file SDL_x11video.h.

## Offset

int int int int int unsigned int* SDL_VideoData::Offset

Definition at line 49 of file SDL_vivantevideo.h.

## pfIsVertical

UINT LPWSTR PINT BOOL* SDL_VideoData::pfIsVertical

Definition at line 174 of file SDL_windowsvideo.h.

## Physical

int int unsigned long* SDL_VideoData::Physical

Definition at line 45 of file SDL_vivantevideo.h.

## pid

pid_t SDL_VideoData::pid

Definition at line 79 of file SDL_x11video.h.

## pnErrorIndex

UINT LPWSTR PINT SDL_VideoData::pnErrorIndex

Definition at line 174 of file SDL_windowsvideo.h.

## pointer

struct wl_pointer* SDL_VideoData::pointer

Definition at line 45 of file SDL_waylandvideo.h.

## pointer_constraints

struct zwp_pointer_constraints_v1* SDL_VideoData::pointer_constraints

Definition at line 52 of file SDL_waylandvideo.h.

## ppb_core

const PPB_Core* SDL_VideoData::ppb_core

Definition at line 44 of file SDL_naclvideo.h.

## ppb_fullscreen

const PPB_Fullscreen* SDL_VideoData::ppb_fullscreen

Definition at line 45 of file SDL_naclvideo.h.

## ppb_graphics

const PPB_Graphics3D* SDL_VideoData::ppb_graphics

Definition at line 42 of file SDL_naclvideo.h.

## ppb_image_data

const PPB_ImageData* SDL_VideoData::ppb_image_data

Definition at line 47 of file SDL_naclvideo.h.

## ppb_input_event

const PPB_InputEvent* SDL_VideoData::ppb_input_event

Definition at line 50 of file SDL_naclvideo.h.

## ppb_instance

const PPB_Instance* SDL_VideoData::ppb_instance

Definition at line 46 of file SDL_naclvideo.h.

## ppb_keyboard_input_event

const PPB_KeyboardInputEvent* SDL_VideoData::ppb_keyboard_input_event

Definition at line 51 of file SDL_naclvideo.h.

## ppb_message_loop

const PPB_MessageLoop* SDL_VideoData::ppb_message_loop

Definition at line 43 of file SDL_naclvideo.h.

## ppb_mouse_input_event

const PPB_MouseInputEvent* SDL_VideoData::ppb_mouse_input_event

Definition at line 52 of file SDL_naclvideo.h.

## ppb_touch_input_event

const PPB_TouchInputEvent* SDL_VideoData::ppb_touch_input_event

Definition at line 54 of file SDL_naclvideo.h.

## ppb_var

const PPB_Var* SDL_VideoData::ppb_var

Definition at line 49 of file SDL_naclvideo.h.

## ppb_view

const PPB_View* SDL_VideoData::ppb_view

Definition at line 48 of file SDL_naclvideo.h.

## ppb_wheel_input_event

const PPB_WheelInputEvent* SDL_VideoData::ppb_wheel_input_event

Definition at line 53 of file SDL_naclvideo.h.

## PRIMARY

Atom SDL_VideoData::PRIMARY

Definition at line 115 of file SDL_x11video.h.

## PTOUCHINPUT

SDL_VideoData::PTOUCHINPUT

Definition at line 135 of file SDL_windowsvideo.h.

## puMaxReadingLen

UINT LPWSTR PINT BOOL PUINT SDL_VideoData::puMaxReadingLen

Definition at line 174 of file SDL_windowsvideo.h.

## registry

struct wl_registry* SDL_VideoData::registry

Definition at line 41 of file SDL_waylandvideo.h.

## relative_mouse_mode

int SDL_VideoData::relative_mouse_mode

Definition at line 70 of file SDL_waylandvideo.h.

## relative_pointer_manager

struct zwp_relative_pointer_manager_v1* SDL_VideoData::relative_pointer_manager

Definition at line 51 of file SDL_waylandvideo.h.

## render

int SDL_VideoData::render

Definition at line 128 of file SDL_windowsvideo.h.

## saved_conn_id

uint32_t SDL_VideoData::saved_conn_id

Definition at line 47 of file SDL_kmsdrmvideo.h.

## saved_crtc

drmModeCrtc* SDL_VideoData::saved_crtc

Definition at line 46 of file SDL_kmsdrmvideo.h.

## screensaver_activity

Uint32 SDL_VideoData::screensaver_activity

Definition at line 107 of file SDL_cocoavideo.h.

## screensaver_assertion

IOPMAssertionID SDL_VideoData::screensaver_assertion

Definition at line 109 of file SDL_cocoavideo.h.

## screensaver_use_iopm

BOOL SDL_VideoData::screensaver_use_iopm

Definition at line 108 of file SDL_cocoavideo.h.

## selection_waiting

SDL_bool SDL_VideoData::selection_waiting

Definition at line 127 of file SDL_x11video.h.

## shcoreDLL

void* SDL_VideoData::shcoreDLL

Definition at line 138 of file SDL_windowsvideo.h.

## shell

struct { ... } SDL_VideoData::shell

## shm

struct wl_shm* SDL_VideoData::shm

Definition at line 43 of file SDL_waylandvideo.h.

## Stride

int int unsigned long int* SDL_VideoData::Stride

Definition at line 45 of file SDL_vivantevideo.h.

## swapinterval

uint32_t SDL_VideoData::swapinterval

Definition at line 35 of file SDL_pandora.h.

## textRect

SDL_Rect SDL_VideoData::textRect

Definition at line 37 of file SDL_androidvideo.h.

## UINT

SDL_VideoData::UINT

Definition at line 135 of file SDL_windowsvideo.h.

## ULONG

SDL_VideoData::ULONG

Definition at line 136 of file SDL_windowsvideo.h.

## uReadingBufLen

UINT SDL_VideoData::uReadingBufLen

Definition at line 174 of file SDL_windowsvideo.h.

## userDLL

void* SDL_VideoData::userDLL

Definition at line 133 of file SDL_windowsvideo.h.

## UTF8_STRING

Atom SDL_VideoData::UTF8_STRING

Definition at line 114 of file SDL_x11video.h.

## w

int SDL_VideoData::w

Definition at line 39 of file SDL_naclvideo.h.

## Width [1/3]

int int int * SDL_VideoData::Width

Definition at line 44 of file SDL_vivantevideo.h.

## Width [2/3]

int int int SDL_VideoData::Width

Definition at line 47 of file SDL_vivantevideo.h.

## Width [3/3]

int int int* SDL_VideoData::Width

Definition at line 48 of file SDL_vivantevideo.h.

## window

SDL_Window* SDL_VideoData::window

Definition at line 40 of file SDL_naclvideo.h.

## window_group

XID SDL_VideoData::window_group

Definition at line 85 of file SDL_x11video.h.

## windowlist

SDL_WindowData** SDL_VideoData::windowlist

Definition at line 83 of file SDL_x11video.h.

## windowlistlength

int SDL_VideoData::windowlistlength

Definition at line 84 of file SDL_x11video.h.

## winrtEglWindow

IUnknown* SDL_VideoData::winrtEglWindow

Definition at line 48 of file SDL_winrtvideo_cpp.h.

## wl

struct wl_shell* SDL_VideoData::wl

Definition at line 49 of file SDL_waylandvideo.h.

## WM_DELETE_WINDOW

Atom SDL_VideoData::WM_DELETE_WINDOW

Definition at line 93 of file SDL_x11video.h.

## WM_PROTOCOLS

Atom SDL_VideoData::WM_PROTOCOLS

Definition at line 92 of file SDL_x11video.h.

## WM_TAKE_FOCUS

Atom SDL_VideoData::WM_TAKE_FOCUS

Definition at line 94 of file SDL_x11video.h.

## X [1/2]

int * SDL_VideoData::X

Definition at line 47 of file SDL_vivantevideo.h.

## X [2/2]

int* SDL_VideoData::X

Definition at line 48 of file SDL_vivantevideo.h.

## XdndActionCopy

Atom SDL_VideoData::XdndActionCopy

Definition at line 120 of file SDL_x11video.h.

## XdndDrop

Atom SDL_VideoData::XdndDrop

Definition at line 121 of file SDL_x11video.h.

## XdndEnter

Atom SDL_VideoData::XdndEnter

Definition at line 116 of file SDL_x11video.h.

## XdndFinished

Atom SDL_VideoData::XdndFinished

Definition at line 122 of file SDL_x11video.h.

## XdndPosition

Atom SDL_VideoData::XdndPosition

Definition at line 117 of file SDL_x11video.h.

## XdndSelection

Atom SDL_VideoData::XdndSelection

Definition at line 123 of file SDL_x11video.h.

## XdndStatus

Atom SDL_VideoData::XdndStatus

Definition at line 118 of file SDL_x11video.h.

## XdndTypeList

Atom SDL_VideoData::XdndTypeList

Definition at line 119 of file SDL_x11video.h.

## xkb_context

struct xkb_context* SDL_VideoData::xkb_context

Definition at line 59 of file SDL_waylandvideo.h.

## XKLAVIER_STATE

Atom SDL_VideoData::XKLAVIER_STATE

Definition at line 124 of file SDL_x11video.h.

## Y [1/2]

int int * SDL_VideoData::Y

Definition at line 47 of file SDL_vivantevideo.h.

## Y [2/2]

int int* SDL_VideoData::Y

Definition at line 48 of file SDL_vivantevideo.h.

## zxdg

struct zxdg_shell_v6* SDL_VideoData::zxdg

Definition at line 48 of file SDL_waylandvideo.h.

The documentation for this struct was generated from the following files:

- src/video/android/SDL_androidvideo.h
- src/video/cocoa/SDL_cocoavideo.h
- src/video/kmsdrm/SDL_kmsdrmvideo.h
- src/video/nacl/SDL_naclvideo.h
- src/video/pandora/SDL_pandora.h
- src/video/psp/SDL_pspvideo.h
- src/video/raspberry/SDL_rpivideo.h
- src/video/vivante/SDL_vivantevideo.h
- src/video/wayland/SDL_waylandvideo.h
- src/video/windows/SDL_windowsvideo.h
- src/video/winrt/SDL_winrtvideo_cpp.h
- src/video/x11/SDL_x11video.h